package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyProfit;
import com.fs.company.vo.CompanyProfitVO;

/**
 * 提现Service接口
 * 
 * @author fs
 * @date 2022-07-04
 */
public interface ICompanyProfitService 
{
    /**
     * 查询提现
     * 
     * @param profitId 提现ID
     * @return 提现
     */
    public CompanyProfit selectCompanyProfitById(Long profitId);

    /**
     * 查询提现列表
     * 
     * @param companyProfit 提现
     * @return 提现集合
     */
    public List<CompanyProfit> selectCompanyProfitList(CompanyProfit companyProfit);

    /**
     * 新增提现
     * 
     * @param companyProfit 提现
     * @return 结果
     */
    public int insertCompanyProfit(CompanyProfit companyProfit);

    /**
     * 修改提现
     * 
     * @param companyProfit 提现
     * @return 结果
     */
    public int updateCompanyProfit(CompanyProfit companyProfit);

    /**
     * 批量删除提现
     * 
     * @param profitIds 需要删除的提现ID
     * @return 结果
     */
    public int deleteCompanyProfitByIds(Long[] profitIds);

    /**
     * 删除提现信息
     * 
     * @param profitId 提现ID
     * @return 结果
     */
    public int deleteCompanyProfitById(Long profitId);

    List<CompanyProfitVO> selectCompanyProfitListVO(CompanyProfit companyProfit);

    int deleteCompanyProfitByCompanyId(Long companyId);
}
